import { useState } from "react";

const initialItems = [
  { id: 1, description: "Passports", quantity: 2, packed: false },
  { id: 2, description: "Socks", quantity: 12, packed: false },
  { id: 3, description: "Charger", quantity: 1, packed: false },
  { id: 4, description: "Boarding Pass", quantity: 5, packed: false },
];


function App() {
  return (
    <div className="app">
      
      <Logo />
      <Form />
      <PackagingList />
      <Stats />
    </div>
  );
}


function Logo(){
  return <h1>🏝️ Travel Guide App 🧳  </h1>;
}

function Form(){
  const [description,setDescription]=useState("");
  const[quantity,setQuantity]=useState(1);
  function handleSubmit(e){
    e.preventDefault();
    //console.log("Description ==> ",description);
    //console.log("Quantity  ===> ", quantity);
    const newItem={description,quantity,packed:false,id:Date.now()}
    console.log(newItem);
    }
    
  
  return <form className="add-form" onSubmit={handleSubmit}>
    
    <h3>What Do you need for your 😂 Trip</h3>

    <select value={quantity} onChange={(e)=>setQuantity(e.target.value)}>

  {Array.from({length:20},(_,i) => i+1) .map
    (
      num=> <option value={num} key={num}>{num}</option>
    )

  }
    </select>

    <input type="text" placeholder="Item .... " value={description}
    onChange={(e)=>setDescription(e.target.value)} />
    <button>Add</button>

    </form>
  
}


function PackagingList(){
  return (
  <div className="list">  
  <ul>

    {initialItems.map(item => <Item item={item}  key={item.id} /> )}
  </ul>
  </div>
  )
}

function Item({item}){
  return <li>
    {item.description}
  </li>
}

function Stats(){
  return <footer className="stats"> 💼  You have X Items in your List , and You already Packed X (x%) </footer>
}
export default App;
